Subject: Re: [PATCH 00/12] Thumb-2 kernel support

From: Andrew Morton <[email-masked]>
Date: Tue, 1 Jul 2008 01:45:29 -0700

On Tue, 01 Jul 2008 09:32:11 +0100 Catalin Marinas <[email-masked]> wrote:

> On Mon, 2008-06-30 at 12:51 -0700, Andrew Morton wrote:
> > On Fri, 06 Jun 2008 18:33:00 +0100
> > Catalin Marinas <[email-masked]> wrote:
> > 
> > > This series of patches allows the kernel to be compiled to Thumb-2 mode
> > > (on ARMv7 CPUs). The patches have been posted a few times on the list
> > > and the comments were implemented (hopefully I haven't missed any).
> > > 
> > > If/when there are no more comments, I'd like the series to be merged
> > > into the -mm tree if Andrew agrees. It was tested and generated against
> > > the 2.6.26-rc2-mm1 kernel.
> [...]
> > OK, I added this tree to -mm.  Nobody is likely to test or review it
> > there, but at least I might pick up on any merge or build issues.
> 
> Thanks.
> 
> > If you're hankering for a 2.6.27 merge of this material it might be
> > more appropriate to add it to linux-next.
> 
> I aim for the ___post 2.6.27 merge window (i.e. patches available in
> 2.6.28).

OK, then in that case it shouldn't go into linux-next until around
2.6.27-rc1 time.

> But isn't linux-next targeted to subsystem maintainers only (i.e. get
> them merged via RMK's trees)? Or an "Acked-by: RMK" would be enough.

An ack is always nice.  But assuming there aren't any roadblocks
looming, getting it into linux-next under the assumption that the code
will be ready to go by the time 2.6.28 opens would make sense.